Subject: [rbridge] R-Bridge Routing Requirements draft is now availabl e

From: Eric.Gray at marconi.com (Gray, Eric)
Date: Mon, 24 Oct 2005 13:28:26 -0300

Harald,

	I am not sure that multicast distribution trees is going
to be sufficiently unambiguous.  There will be both multicast
and flooding to take into account and these are not the same.

	Also, I agree with the statement that RBridges will be
creating a DAG, not a spanning tree.  To people familar with
STP, however, it is hard to get their head wrapped around the
differences.  And - once they start to - these differences
seem like anathema to the L2-thinker because they "may" not be
compatible with STP.  This has been - I am sure - a big part 
of the confusion in terminology in previous discussion.  In 
that same dicussion, I had tried to get people using SPST -
Shortest Path Spanning Tree - as a way to help people realize 
that it is not quite the same thing.

	For an example of where this gets very complicated, look
at the discussion of "how many trees?"  If we're talking about
real "spanning trees", then the answer has to be exactly one.
Otherwise, we will get mired in discussions of virtual IS-IS
routers because there will have to be a different link-state
applied to links between RBridges - depending on which spanning 
tree is used to create any given link within, for instance, a
VLAN context.  On the other hand, if we're talking about the
effective spanning trees that result from creating a DAG via 
IS-IS shortest path computations, then there may be any number
of such spanning trees.

--
Eric

--> -----Original Message-----
--> From: rbridge-bounces at postel.org 
--> [mailto:rbridge-bounces at postel.org]On
--> Behalf Of Harald Tveit Alvestrand
--> Sent: Monday, October 24, 2005 8:00 AM
--> To: Developing a hybrid router/bridge.
--> Subject: Re: [rbridge] R-Bridge Routing Requirements draft is now
--> available
--> 
--> 
--> _______________________________________________
--> rbridge mailing list
--> rbridge at postel.org
--> http://www.postel.org/mailman/listinfo/rbridge
--> 

Earlier, you wrote:

--On 24. oktober 2005 12:48 +0200 Guillermo Ib????ez <gibanez at it.uc3m.es> 
wrote:

> - Some name or acronym for the spanning trees between Rbridges would
> help to reduce the confusion created by two types of spanning trees
> coexisting :  STP(RSTP) and between Rbridges.  A possibility is to call
> them  *RBSTs* or RBTs ..(Routing Bridges [Spanning] Trees)

why not name them for their function, and call them multicast distribution 
trees?

It's after all an essential point of the design that the unicast packets do 
NOT have to follow the spanning trees; the unicast routing tables will form 
a directed acyclic graph (DAG), not a tree.

                  Harald

---

From: harald at alvestrand.no (Harald Tveit Alvestrand)
Date: Mon, 24 Oct 2005 19:53:40 -0700

--On 24. oktober 2005 13:28 -0300 "Gray, Eric" <Eric.Gray at marconi.com> 

> and flooding to take into account and these are not the same.

I was thinking of broadcast ("flooding") as a special kind of 
multicast..... I don't know how, inside the rbridge cloud, distributing to 
the "all RBridges" multicast is different from distributing a broadcast. 
But that's a nit, and may be obvious once the drafts are out.

for the unicast stuff, I think it makes sense to abandon the "tree" term, 
just because using the term makes people think of the particular way in 
which the RSTP algorithm configures forwarding tables in bridges.....

-------------- next part --------------
A non-text attachment was scrubbed...
Name: not available
Type: application/pgp-signature
Size: 187 bytes
Desc: not available
Url : http://www.postel.org/pipermail/rbridge/attachments/20051024/c2a9998b/attachment.bin